#!/bin/bash

# If MacOS, execute the ssh-add command on the host machine
if [[ "$OSTYPE" == "darwin"* ]]; then
    ssh-add --apple-use-keychain ~/.ssh/id_rsa
fi

if ! docker network ls | awk '{ print $2 }' | grep -qx 'ai-unit'; then docker network create --driver bridge ai-unit; fi
